player = {}

function player.load(x, y)
	player.width = 32
	player.height = 32

	player.x = x
	player.y = y

	player.xVel = 0
	player.yVel = 0

	player.runSpeed = 100
	player.jumpSpeed = -200

end

function player.update(dt)
	
	newx = (player.x + player.xVel * dt)
	newy = player.y + player.yVel * dt
	
	
	if level.testTile(newx + tileSize/2, player.y) or level.testTile(newx - tileSize/2, player.y) then
		player.xVel = 0
	else
		player.x = player.x + player.xVel * dt
	end
	
	if level.testTile(player.x, newy + tileSize/2) or level.testTile(player.x, newy - tileSize/2) then 
		player.yVel = 0
	else
		player.y = player.y + player.yVel * dt
	end

	player.yVel = player.yVel + gravity * dt
	

	k = love.keyboard
	if k.isDown("left") then player.move(-player.runSpeed) end
	if k.isDown("right") then player.move(player.runSpeed) end
	if not(k.isDown("left")) and not(k.isDown("right")) then player.stop() end
	if k.isDown("up") then player.jump() end

end

function player.move(speed)
	player.xVel = speed
end

function player.jump()
	player.yVel = player.jumpSpeed
end

function player.stop()
	player.xVel = 0
end

function player.draw()

	love.graphics.setColor(0, 153, 153)
	love.graphics.rectangle("fill", player.x-player.width/2, player.y-player.height/2, player.width, player.height)

end

